using Edu.Common.Enum;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
    /// rb_attendance_way Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Attendance_Way
    {
        /// <summary>
        /// 主键编号
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 考勤管理id
        /// </summary>        
        public int Attendance_Id
        {
            get;
            set;
        }
        /// <summary>
        /// 类型1 地址 2 wifi
        /// </summary>        
        public int? Type
        {
            get;
            set;
        }
        /// <summary>
        /// 名称
        /// </summary>        
        public string Name
        {
            get;
            set;
        }
        /// <summary>
        /// 地址
        /// </summary>        
        public string Address
        {
            get;
            set;
        }
        /// <summary>
        /// 地图坐标/MAC地址
        /// </summary>        
        public string TargetAddress
        {
            get;
            set;
        }
        /// <summary>
        /// 范围
        /// </summary>        
        public int? Scope
        {
            get;
            set;
        }
    }
}
